## visad.cluster
Class ClientDisplayRendererJ3D

    java.lang.Object
      visad.DisplayRenderer
          visad.java3d.DisplayRendererJ3D
              visad.java3d.DefaultDisplayRendererJ3D
                  visad.cluster.ClientDisplayRendererJ3D

All Implemented Interfaces:
  ControlListener, EventListener, RendererSourceListener

public class ClientDisplayRendererJ3D
extends DefaultDisplayRendererJ3D

`ClientDisplayRendererJ3D` is the DisplayRenderer for cluster clients.

Field Summary

Fields inherited from class visad.DisplayRenderer
``

Constructor Summary
`ClientDisplayRendererJ3D()` This is the `DisplayRenderer` used for cluster clients.
`ClientDisplayRendererJ3D(long to)`

Method Summary
`boolean` `legalDataRenderer(DataRenderer renderer)` Check if the `DataRenderer` in question is legal for this `DisplayRenderer`
`DataRenderer` `makeDefaultRenderer()` Create the default `DataRenderer` for this type of `DisplayRenderer`

Methods inherited from class visad.java3d.DefaultDisplayRendererJ3D
`createSceneGraph, destroy, setBoxAspect, setLineWidth`

Methods inherited from class visad.java3d.DisplayRendererJ3D

`addDirectManipulationSceneGraphComponent, addKeyboardBehavior, addLockedSceneGraphComponent, addSceneGraphComponent, anyDirects, clearScale, clearScales, clearScene, controlChanged, createBasicSceneGraph, createBasicSceneGraph, depth_cursor, drag_cursor, drag_depth, drawCursorStringVector, findDirect, getBoxOnBranch, getCanvas, getCursor, getCursorOnBranch, getImage, getMouseBehavior, getRoot, getTextureHeightMax, getTextureWidthMax, getTrans, getView, getViewTrans, initControl, makeControl, render_trigger, rendererDeleted, setClip, setCursorLoc, setCursorOn, setDirectOn, setDisplay, setScale, setScale, setScale, setScaleOn, setTransform3D, setWaitFlag`

Methods inherited from class visad.DisplayRenderer

`getAnimationString, getAnimationStringVisible, getBoxOn, getCursorColor, getCursorStringVector, getCursorStringVectorUnconditional, getDirectAxisValue, getDirectAxisValue, getDisplay, getMode2D, getPickThreshhold, getRendererControl, getWaitFlag, getWaitMessageVisible, legalDisplayScalar, prepareAction, setAnimationString, setAnimationStringVisible, setBackgroundColor, setBackgroundColor, setBoxColor, setBoxColor, setBoxOn, setCursorColor, setCursorColor, setCursorStringOn, setCursorStringVector, setCursorStringVector, setForegroundColor, setForegroundColor, setPickThreshhold, setWaitMessageVisible`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ClientDisplayRendererJ3D

    public ClientDisplayRendererJ3D()

  This is the `DisplayRenderer` used for cluster clients.

### ClientDisplayRendererJ3D

    public ClientDisplayRendererJ3D(long to)

Method Detail

### makeDefaultRenderer

    public DataRenderer makeDefaultRenderer()

  Description copied from class: `DisplayRendererJ3D`
  Create the default `DataRenderer` for this type of `DisplayRenderer`

  Overrides:
    `makeDefaultRenderer` in class `DisplayRendererJ3D`
  Returns:
    new default renderer

### legalDataRenderer

    public boolean legalDataRenderer(DataRenderer renderer)

  Description copied from class: `DisplayRendererJ3D`
  Check if the `DataRenderer` in question is legal for this `DisplayRenderer`

  Overrides:
    `legalDataRenderer` in class `DisplayRendererJ3D`
  Parameters:
    `renderer` - `DataRenderer` to check
  Returns:
    true if renderer is a subclass of `RendererJ3D`